import request from '@/utils/request'

// 查询塔机限位信息列表
export function listTowerDataLimit(query) {
  return request({
    url: '/device/towerDataLimit/list',
    method: 'get',
    params: query
  })
}

// 查询塔机限位信息详细
export function getTowerDataLimit(id) {
  return request({
    url: '/device/towerDataLimit/' + id,
    method: 'get'
  })
}

// 新增塔机限位信息
export function addTowerDataLimit(data) {
  return request({
    url: '/device/towerDataLimit',
    method: 'post',
    data: data
  })
}

// 修改塔机限位信息
export function updateTowerDataLimit(data) {
  return request({
    url: '/device/towerDataLimit',
    method: 'put',
    data: data
  })
}

// 删除塔机限位信息
export function delTowerDataLimit(id) {
  return request({
    url: '/device/towerDataLimit/' + id,
    method: 'delete'
  })
}
